## org.eclipse.emf.common.util
Class BasicMonitor.EclipseSubProgress

    java.lang.Object
      org.eclipse.core.runtime.ProgressMonitorWrapper
          org.eclipse.core.runtime.SubProgressMonitor
              org.eclipse.emf.common.util.BasicMonitor.EclipseSubProgress

All Implemented Interfaces:
  IProgressMonitor, IProgressMonitorWithBlocking, Monitor

Enclosing class:
  BasicMonitor

    public static class BasicMonitor.EclipseSubProgress

extends SubProgressMonitor
implements Monitor

An Eclipse subprogress monitor that directly implements the monitor API.

Field Summary

Fields inherited from class org.eclipse.core.runtime.SubProgressMonitor
`PREPEND_MAIN_LABEL_TO_SUBTASK, SUPPRESS_SUBTASK_LABEL`

Fields inherited from interface org.eclipse.emf.common.util.Monitor
`UNKNOWN`

Constructor Summary
`BasicMonitor.EclipseSubProgress(IProgressMonitor monitor, int ticks)`
`BasicMonitor.EclipseSubProgress(IProgressMonitor monitor, int ticks, int style)`

Method Summary
`void` `setBlocked(Diagnostic reason)` Sets the reason for the activity being blocked.

Methods inherited from class org.eclipse.core.runtime.SubProgressMonitor
`beginTask, done, internalWorked, subTask, worked`

Methods inherited from class org.eclipse.core.runtime.ProgressMonitorWrapper
`clearBlocked, getWrappedProgressMonitor, isCanceled, setBlocked, setCanceled, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.Monitor
`beginTask, clearBlocked, done, internalWorked, isCanceled, setCanceled, setTaskName, subTask, worked`

Constructor Detail

### BasicMonitor.EclipseSubProgress

    public BasicMonitor.EclipseSubProgress(IProgressMonitor monitor,
                                           int ticks)

### BasicMonitor.EclipseSubProgress

    public BasicMonitor.EclipseSubProgress(IProgressMonitor monitor,
                                           int ticks,
                                           int style)

Method Detail

### setBlocked

    public void setBlocked(Diagnostic reason)

  Description copied from interface: `Monitor`
  Sets the reason for the activity being blocked.

  Specified by:
    `setBlocked` in interface `Monitor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.